Package org.codehaus.groovy.runtime.callsite

# Class StaticMetaMethodSite.StaticMetaMethodSiteNoUnwrap

java.lang.Object
org.codehaus.groovy.runtime.callsite.AbstractCallSite
org.codehaus.groovy.runtime.callsite.MetaClassSite
org.codehaus.groovy.runtime.callsite.MetaMethodSite
org.codehaus.groovy.runtime.callsite.StaticMetaMethodSite
org.codehaus.groovy.runtime.callsite.StaticMetaMethodSite.StaticMetaMethodSiteNoUnwrap

All Implemented Interfaces:
  `CallSite`

Enclosing class:
  StaticMetaMethodSite

    public static class StaticMetaMethodSite.StaticMetaMethodSiteNoUnwrap
    extends StaticMetaMethodSite

Call site where we know there is no need to unwrap arguments

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.codehaus.groovy.runtime.callsite.StaticMetaMethodSite

  `StaticMetaMethodSite.StaticMetaMethodSiteNoUnwrap, StaticMetaMethodSite.StaticMetaMethodSiteNoUnwrapNoCoerce`

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaMethodSite

  `params`

  ### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaClassSite

  `metaClass`

  ### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

  `array, index, name`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `StaticMetaMethodSiteNoUnwrap​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, java.lang.Class[] params)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Object` | `invoke​(java.lang.Object receiver, java.lang.Object[] args)` |

  ### Methods inherited from class org.codehaus.groovy.runtime.callsite.StaticMetaMethodSite

  `call, callStatic, checkCall, checkCall, checkCall, checkCall, checkCall, checkCall, createStaticMetaMethodSite`

  ### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

  `acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StaticMetaMethodSiteNoUnwrap

    public StaticMetaMethodSiteNoUnwrap​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, java.lang.Class[] params)

- ## Method Details

  - ### invoke

    public final java.lang.Object invoke​(java.lang.Object receiver, java.lang.Object[] args) throws java.lang.Throwable
    Overrides:
      `invoke` in class `StaticMetaMethodSite`
    Throws:
      `java.lang.Throwable`